[quake2] Work around for Binary Mod issue?

Karen Pouelle hockeyvixen at yahoo.ca
Fri Oct 3 03:23:09 EDT 2003

"It seems to be the case that the ABI between the original quake2 and the
quake2forge project has changed, but alas no-one who uses any of the binary
only mods has actually worked out what the exact problem is." -- Jamie

Mods which don't have anyone to maintain them, or no code to try to compile
will probably die eventually.  I have stopped playing several mods because
their binaries are just too old and no longer work with modern libraries. 
That may be the case with client builds, also.

"As far as I remember, only the 3.19 and 3.21 versions of the ID source were
released, so short of contacting iD directly and hoping that they still have
it, there's not much you can do."

I've seen people connect to a server with these Linux clients:

3.20 i386 Oct 14 1998 Linux      
0.2.1 May 25 2003 i686-linux-gnu 
3.21 i386 Jul 20 2003 Linux
3.21 i386 Sep 20 2003 Linux

Obviously there is a 3.20 Linux client, it's just 5 years old now.  Even if
the source were available, and the client recompiled, I believe some mod
binaries STILL wouldn't work.  Best to pester those who've made the mod to
release or rebuild.  

Post your free ad now! http://personals.yahoo.ca

More information about the quake2 mailing list